igeo.gui

## Class IScreenTogglePanel

- java.lang.Object
- - igeo.gui.IComponent
  - - igeo.gui.IPanel
    - - igeo.gui.IScreenTogglePanel

- All Implemented Interfaces:
    IPanelI, IServerI, java.awt.event.ComponentListener, java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.awt.event.WindowListener, java.util.EventListener
  Direct Known Subclasses:
    IGridPanel

      public class IScreenTogglePanel
      extends IPanel

  A panel class to contain multiple IPane with toggle function to switch showing only one pane and showing all panes.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class igeo.gui.IPanel

      `IPanel.AIScaleDialog`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `fullPaneOrigHeight`
    `int` | `fullPaneOrigWidth`
    `int` | `fullPaneOrigX`
    `int` | `fullPaneOrigY`
    `IPane` | `fullScreenPane`

    - ### Fields inherited from class igeo.gui.IPanel

      `bounds, currentMousePane, firstDraw, ig, panes, parentContainer, serverStateCount, sizeChanged, skipAutoFocus, startDynamicServer`

    - ### Fields inherited from class igeo.gui.IComponent

      `height, visible, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IScreenTogglePanel(int x, int y, int width, int height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableFullScreen()`
    `void` | `draw(IGraphics g)`
    `void` | `enableFullScreen(int paneIdx)`
    `void` | `enableFullScreen(IPane p)`
    `boolean` | `isFull()`
    `void` | `keyPressed(IKeyEvent e)`
    `void` | `mouseClicked(IMouseEvent me)`
    `void` | `mouseClicked(java.awt.event.MouseEvent e)`
    `void` | `setSize(int w, int h)`
    `void` | `setVisible(boolean v)`

    - ### Methods inherited from class igeo.gui.IPanel

      `addPane, chooseFile, chooseFile, chooseFile, clearPane, componentHidden, componentMoved, componentResized, componentShown, currentPane, focus, focusGained, focusLost, getBounds, getIG, getPaneAt, getPaneAt, keyPressed, keyReleased, keyReleased, keyTyped, keyTyped, mouseDragged, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mousePressed, mouseReleased, mouseReleased, mouseWheelMoved, mouseWheelMoved, pane, paneNum, postdraw, predraw, removePane, saveDialog, server, setBounds, setIG, setParent, skipAutoFocus, startDynamicServer, stopDynamicServer, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

    - ### Methods inherited from class igeo.gui.IComponent

      `contains, getHeight, getWidth, getX, getY, isVisible, setBounds, setBounds, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface igeo.gui.IPanelI

      `getHeight, getWidth, getX, getY`

- - ### Field Detail

    - #### fullScreenPane

          public IPane fullScreenPane

    - #### fullPaneOrigX

          public int fullPaneOrigX

    - #### fullPaneOrigY

          public int fullPaneOrigY

    - #### fullPaneOrigWidth

          public int fullPaneOrigWidth

    - #### fullPaneOrigHeight

          public int fullPaneOrigHeight

  - ### Constructor Detail

    - #### IScreenTogglePanel

          public IScreenTogglePanel(int x,
                                    int y,
                                    int width,
                                    int height)

  - ### Method Detail

    - #### enableFullScreen

          public void enableFullScreen(int paneIdx)

    - #### enableFullScreen

          public void enableFullScreen(IPane p)

    - #### disableFullScreen

          public void disableFullScreen()

    - #### isFull

          public boolean isFull()

    - #### setVisible

          public void setVisible(boolean v)

      Specified by:
        `setVisible` in interface `IPanelI`
      Overrides:
        `setVisible` in class `IPanel`

    - #### setSize

          public void setSize(int w,
                              int h)

      Specified by:
        `setSize` in interface `IPanelI`
      Overrides:
        `setSize` in class `IPanel`

    - #### draw

          public void draw(IGraphics g)

      Specified by:
        `draw` in interface `IPanelI`
      Overrides:
        `draw` in class `IPanel`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseClicked` in class `IPanel`

    - #### mouseClicked

          public void mouseClicked(IMouseEvent me)

      Specified by:
        `mouseClicked` in interface `IPanelI`
      Overrides:
        `mouseClicked` in class `IPanel`

    - #### keyPressed

          public void keyPressed(IKeyEvent e)

      Specified by:
        `keyPressed` in interface `IPanelI`
      Overrides:
        `keyPressed` in class `IPanel`